Last modified: 2011-08-23 21:14:37 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 29957 - Special:CentralAuth shows time in UTC
Special:CentralAuth shows time in UTC
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
CentralAuth (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Victor Vasiliev
: patch, patch-reviewed
Depends on:
Blocks: 29235
  Show dependency treegraph
 
Reported: 2011-07-18 18:35 UTC by Umherirrender
Modified: 2011-08-23 21:14 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
localtimezone patch (1.95 KB, patch)
2011-07-19 18:53 UTC, Derk-Jan Hartman
Details

Description Umherirrender 2011-07-18 18:35:47 UTC
The timestamps on Special:CentralAuth are formatted in user language, but there are not in the user timezone. You can resolve this by adding 'true' as second paramter to Language::timeAndDate.

You see the different when looking on Special:Preferences and Special:CentralAuth for a automatic created account.

Thanks.
Comment 1 Mark A. Hershberger 2011-07-19 01:16:15 UTC
no patch provided, but it seems clear that a patch would be easy to create.  Feel free to provide one if I don't get to this sooner.
Comment 2 Derk-Jan Hartman 2011-07-19 18:53:28 UTC
Created attachment 8803 [details]
localtimezone patch

Patch; Untested due to "who the hell runs a CentralAuth setup at home"-situation.
Comment 3 Umherirrender 2011-07-22 17:56:10 UTC
(In reply to comment #2)
> Created attachment 8803 [details]
> localtimezone patch

looks good, thanks.

> Patch; Untested due to "who the hell runs a CentralAuth setup at
> home"-situation.
I cannot test for the same reason.
Comment 4 John Du Hart 2011-08-23 21:14:37 UTC
Thank you for the patch, it has been applied in r95333 and will be on Wikimedia's servers at a later date.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links